#! /usr/bin/rpm
%define  sovers		2
%define _unpackaged_files_terminate_build  0
%define need_java	0
%define java_args       --disable-jni --disable-java

%if %{?enable_java:1} %{?!enable_java:0}
%define need_java	1
%define java_args       --enable-jni --enable-java
%endif

#_____________________________________________________________________
# 
# Normal setup, and main package
#
Version: 	17.03
Release: 	1
Name:    	dim2
Summary: 	Runtime libraries for DIM
Group:   	Development/Libraries
License: 	GPL
Source0: 	http://cern.ch/dim/dim-%{version}.tar.gz
Prefix: 	%{_prefix}
Url:    	http://cern.ch/dim
BuildRoot: 	%{_tmppath}/dim-%{version}
BuildRequires: 	XFree86-devel
BuildRequires: 	openmotif-devel
%if %{need_java}
BuildRequires:	java-devel
%endif
Provides:	dim
Conflicts:	libdim1 < 16.09

%description 
This package contains the shared libraries for DIM.
.
Web-page: http://cern.ch/dmi

%files
%defattr(-,root,root)
/usr/lib/lib*.so.%{sovers}*

%pre
ldconfig

%post
ldconfig


#_____________________________________________________________________
#
# DIM domain name server 
#
%package -n dim-dns
Summary:	The DIM Domain Name Server
Group:   	Applications/Communications
Requires:	dim%{sovers}
%description -n dim-dns
The DIM (Data Information Management) Domain Name Server (DNS).  This
package contains the DNS server used by DIM. Note, that this is _not_
a normal DNS server (like bind).  It is a server of DIM domains. 

Web-page: http://cern.ch/dim

%files -n dim-dns
%defattr(-,root,root)
/usr/sbin/dim_dns
/usr/share/man/man8/dim_dns.8*
/etc/init.d/dim-dns
/etc/sysconfig/dim-dns 

#_____________________________________________________________________
#
# Development package 
#
%package -n dim-devel
Summary:	Development libraries for DIM
Group:		Development/Libraries
Requires:	dim%{sovers}
# Provides:	libdim-devel
Conflicts:	libdim-devel < 16.09
Conflicts:	libdim-dev
%description -n dim-devel
This package contains what is needed for developing DIM based clients
and servers in C/C++.

Web-page: http://cern.ch/dim

%files -n dim-devel
%defattr(-,root,root)
/usr/include/dim/
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/pkgconfig/*
/usr/bin/dim-config
/usr/share/aclocal/dim.m4
/usr/share/man/man1/dim-config.1*


#_____________________________________________________________________
#
# Java Development package 
#
%if %{need_java}
%package -n dim-java
Summary:	Java Development libraries for DIM
Group:		Development/Libraries
Requires: 	dim
Provides:	libdim-java
%description -n dim-java
This package contains what is needed for developing DIM based clients
and servers in Java.

Web-page: http://cern.ch/dim

%files -n dim-java
%defattr(-,root,root)
/usr/share/java/*
%endif

#_____________________________________________________________________
#
# Development package 
#
%package -n dim-utils
Summary: 	Utilities for DIM
Group:   	Development/Libraries
%description -n dim-utils
Various utilities for DIM clients.

 * dim_check_dns      Check if DNS is running
 * dim_bridge         Bridge DNS
 * dim_get_service    Get list of services from a DNS
 * dim_send_command   Send a command in a DNS
 * dim_did            GUI for DIM

Web-page: http://cern.ch/dim

%files -n dim-utils
%defattr(-,root,root)
/usr/bin/dim_bridge
/usr/bin/dim_check_dns
/usr/bin/dim_did
/usr/bin/dim_get_service
/usr/bin/dim_send_command
/usr/share/man/man1/dim_bridge.1*
/usr/share/man/man1/dim_check_dns.1*
/usr/share/man/man1/dim_send_command.1*
/usr/share/man/man1/dim_get_service.1*
/usr/share/man/man1/dim_did.1*

#_____________________________________________________________________
#
# Build, install, and so on. 
#
%prep 
%setup -q -n dim-%{version}

%build
%configure		\
    --enable-cxx-api	\
    --enable-threads	\
    %{java_args}

make

%install
make DESTDIR=$RPM_BUILD_ROOT install 
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/
cp debian/dim-dns.default $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/dim-dns

%clean
rm -rf $RPM_BUILD_ROOT

#_____________________________________________________________________
# 
# Changelog
#
%changelog
* Wed Aug 23 2005 Christian Holm <cholm@nbi.dk> 1.2
 - Spec file generated by configure


#_____________________________________________________________________
#
# EOF
#
